<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-wrapper-before">
        </div>
        <div class="content-header row">
            <div class="content-header-left col-md-4 col-12 mb-2">
            <h3 class="content-header-title">Accounts</h3>
            </div>
            <div class="content-header-right col-md-8 col-12">
            <div class="breadcrumbs-top float-md-right">
                <div class="breadcrumb-wrapper mr-1">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/admin">Home</a>
                    </li>
                    <li class="breadcrumb-item active">Accounts
                    </li>
                </ol>
                </div>
            </div>
            </div>
        </div>
        <div class="content-body">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">List of Accounts</h4>
                            <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                            <div class="heading-elements" style="top: 10px">
                                <ul class="list-inline mb-0"> 
                                    <a href="/admin/accounts/add"><button class="btn btn-primary">Add Account</button></a>
                                    <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                                    {{!-- <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li> --}}
                                    <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                                    {{!-- <li><a data-action="close"><i class="ft-x"></i></a></li> --}}
                                </ul>
                            </div>
                        </div>
                        <div class="card-content collapse show">
                            {{!-- <div class="card-body">
                                <p class="card-text">Add <code>.table-bordered</code> for borders on all sides of the table and cells.</p>
                            </div> --}}
                            <div class="table-responsive">
                                <table class="table table-bordered mb-0" style="text-align: center;">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Account Name</th>
                                            <th>Full name</th>
                                            <th>Address</th>
                                            <th>Email</th>
                                            <th>Number Phone</th>
                                            <th>Auth Type</th>
                                            <th>Permission</th>
                                            <th colspan="2">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {{#each accounts}}
                                        <tr>
                                            <th scope="row">{{inc @index}}</th>
                                            <td>{{this.accountName}}</td>
                                            <td>{{this.fullname}}</td>
                                            <td>{{this.address}}</td>
                                            <td>{{this.email}}</td>
                                            <td>{{this.numberPhone}}</td>
                                            <td>{{this.authType}}</td>
                                            <td>
                                                {{#when this.permission 'eq' 0}}
                                                    Admin
                                                {{/when}}
                                                {{#when this.permission 'eq' 2}}
                                                    User
                                                {{/when}}
                                            </td>
                                            <td><a href="/admin/accounts/update/{{this._id}}"><button class="btn btn-warning">Edit</button></a></td>
                                            {{#when ../permission 'eq' 0}}
                                                <td>
                                                    <a data-id="{{this._id}}" data-toggle="modal" data-target="#categoryModal">
                                                        <button class="btn btn-danger">Delete</button>
                                                    </a>
                                                </tr>
                                            {{/when}}
                                        {{/each}}
                                    </tbody>
                                </table>
                            </div>  
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{{!-- alert confirm to delete force--}}
<div class="modal fade" id="categoryModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Are you want to delete this category type?</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        Are you sure to delete this account? It and all it's data can't be recovery after delete.
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-danger" id="btn-delete-category">Delete</button>
      </div>
    </div>
  </div>
</div>

{{!-- form to delete category --}}
<form name="delete-category-form" method="POST"></form>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        var accountId;

        // DELETE
        // form and button delete
        var formToDelete = document.forms['delete-category-form'];
        var btnDeleteAccount = document.getElementById('btn-delete-category');
        var type = document.getElementById('getType');

        // when dialog confirm (clicked button delete) and get data-id
        $('#categoryModal').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            accountId = button.data('id');
        });
        
        // Click the button confirm to delete force
        btnDeleteAccount.onclick = function() {
            formToDelete.action = `/admin/accounts/delete/${accountId}?_method=DELETE`;
            formToDelete.submit();
        }
    });
</script>